#! /usr/bin/env python
import Image
import ImageDraw

pal = [
	0, 0, 0, # black background
	255, 0, 0, # index 1 is red
	255, 255, 0, # index 2 is yellow
	255, 153, 0, # index 3 is orange
	]

im = Image.new("P", (400, 400), 0)
im.putpalette(pal)

d = ImageDraw.ImageDraw(im)
d.setfill(1)

d.setink(1)
d.polygon((0, 0, 0, 400, 400, 400))
d.setink(3)
d.rectangle((100, 100, 300, 300))
d.setink(2)
d.ellipse((120, 120, 280, 280))

#im.show(command='display')
im.save("out.gif", transparency=225)
